// CSS variables avaliable to use
:root {
  --s-2: 0.5rem; /*8px*/
  --s-3: 0.75rem; /*12px*/
  --s-3_5: 0.875rem; /*14px*/
  --s-4: 1rem; /*16px*/
  --s-5: 1.25rem; /*20px*/
  --s-6: 1.5rem; /*24px*/
  --s-8: 2rem; /*32px*/
  --s-10: 2.5rem; /*40px*/
  --s-11: 2.75rem; /*44px*/
  --s-12: 3rem; /*48px*/
  --s-14: 3.5rem; /*56px*/
  --s-16: 4.5rem; /*72px*/
  --color-primary: #5b5dcf;
  --color-secondary: #dcf2ff;
}

// Clear the browser's default styles
body {
  padding: 0;
  margin: 0;
}

header {
  background-color: var(--color-primary);
  .navigation {
    box-sizing: border-box;
    height: var(--s-16);
    padding: var(--s-2) var(--s-4);
    display: flex;
    justify-content: space-between;
    align-items: center;

    .logo {
      height: 40px;
    }

    .mobile__btn {
      border: none;
      padding: 0;
      background-color: transparent;
      cursor: pointer;
      & > img {
        height: 30px;
      }
    }
    
    .menu {
      position: absolute;
      top: var(--s-16);
      left: 0;
      width: 100%;
      background-color: var(--color-primary);
      list-style-type: none;
      margin: 0;
      padding: 0;
      overflow: hidden;
      transition: max-height 300ms ease-in-out;
      height: auto;
      max-height: 0px;

      &.open {
        max-height: 300px;
      }

      .menu__item {
        padding: var(--s-3) var(--s-4);
        a {
          color: var(--color-secondary);
          text-decoration: none;
          text-align: center;
          display: block;
        }
      }
    }
  }
}

@media screen and (min-width: 768px) {
  header .navigation {
    .mobile__btn {
      display: none;
    }
    .menu {
      position: relative;
      top: unset;
      left: unset;
      max-height: unset;
      background-color: transparent;
      display: flex;
      width: auto;
      .menu__item:last-of-type {
        order: -1;
      }
    }
  }
}
